#!/bin/bash

. /etc/default/${EPAGES_PROJECT:-epages6}
PERL_EXE=$EPAGES_PERL/bin/perl

ERROR=$(ls Makefile.PL patch.pl $PERL_EXE 2>&1 >/dev/null)
RESULT=$?
if [[ $RESULT != 0 ]] ; then
  echo "patch.sh: $ERROR"
  exit $RESULT
fi

# can't change bin/perl inside patch.pl

grep -q 'EPAGES_CARTRIDGES=$2' $PERL_EXE || [[ ! -f sh/6017005000/EPAGES_PERL/bin/perl ]] || {
  # $PERL_EXE is outdated and new available
  cat sh/6017005000/EPAGES_PERL/bin/perl > $PERL_EXE || exit 1
}

PATCH_TAG=$(awk -F= '/^PATCH_TAG[[:space:]]*=/{gsub(/[[:space:]]+/,""); print $2}' Makefile.PL)
EPAGES_PATCHES=${EPAGES_PATCHES:-"$EPAGES_SHARED/Patches"}

hostname=$(hostname)
date=$(date +'%Y-%h-%d-%H.%M.%S')

mkdir -m 755 -p $EPAGES_PATCHES/var-$PATCH_TAG/logs/$hostname || exit 1
$EPAGES_PERL/bin/perl patch.pl "$@" 2>&1 | tee $EPAGES_PATCHES/var-$PATCH_TAG/logs/$hostname/$date-${1////-}.log

# return success or failure
RESULT=${PIPESTATUS[0]}
exit $RESULT
